---
title: Change Log
---


# Change Log

<div class="documentation__toc"></div>

## Introduction

All notable changes to this project will be documented in this file.

- `Added` for new features.
- `Changed` for changes in existing functionality.
- `Deprecated` for soon-to-be removed features.
- `Removed` for now removed features.
- `Fixed` for any bug fixes.
- `Security` in case of vulnerabilities.

### Versioning

This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

### Deprecated Features

Features that are deprecated will generally be removed in the next `minor` update unless noted otherwise.

## Releases


### [1.7.18] - 2019-11-14
#### Fixed
- Fix issue with `config/streams.php` bindings and singletons not working.
- Fix issue with `env:set` command mucking up the formatting in the file.


### [1.7.17] - 2019-11-14
#### Fixed
- Fixed issue with remote assets and non-root hosting locations.

#### Added
- Added `findWithTrashed($id)` shortcut method to base repositories.


### [1.7.16] - 2019-11-06
#### Changed
- Escaped the URL in `constants.twig` partial.


### [1.7.15] - 2019-10-28
#### Added
- Added default ID support to field types.
- Added "for" attribute to input wrapper view.


### [1.7.14] - 2019-10-22
#### Fixed
- Fixed issue when setting template data using `template` helper.
- Fixed issue where field filters for non-existing fields caused a fatal error.


### [1.7.13] - 2019-10-16
#### Added
- Added support for non-dot single stream arguments (namespace is same as slug) to `GetStream` command.


### [1.7.12] - 2019-10-15
#### Added
- Added very simple support for routing views from array.

#### Fixed
- Fixed edge case situation in parser where route parameters need a bit of cleaning. 


### [1.7.11] - 2019-10-10
#### Fixed
- Fixed issue where translated entries were potentially duplicating results due to default ordering.


### [1.7.10] - 2019-09-30
#### Fixed
- Fixed issue where responses without cookie support (media stream) would result in fatal errors.


### [1.7.9] - 2019-09-24
#### Fixed
- Fixed issue where responses without cookie support (media stream) would result in fatal errors.


### [1.7.8] - 2019-09-19
#### Fixed
- Fixed issue with installer where .env was not reloading properly since moving to Laravel 5.8


### [1.7.7] - 2019-09-11
#### Fixed
- Fixed issue with button guesser leaving route objects in buttons and thus breaking form views.


### [1.7.6] - 2019-09-10
#### Changed
- Cleaned up message output from `build` command.

#### Fixed
- Fixed issue with validation extender not passing along unique field types per extending validation rule.


### [1.7.5] - 2019-09-09
#### Fixed
- Fixed issue with `inline` images when using SVG sources.
- Fix active theme resolution in view loader. View composer was unaffected.

#### Changed
- Changed `ViewOverrides` collection to force dot notation view names.


### [1.7.4] - 2019-09-06
#### Added
- Added coverage configuration to `phpunit.stub`.

#### Changed
- Bumped to `"axios": "^0.19",` in `package.theme.stub`. 

#### Fixed
- Fixed `cleanup` functionality in `\Anomaly\Streams\Platform\Field\FieldRepository`.
- Fixed `cleanup` functionality in `\Anomaly\Streams\Platform\Stream\StreamRepository`.


### [1.7.3] - 2019-08-29
#### Fixed
- Fixed issue where `\Anomaly\Streams\Platform\Database\Migration\Console\MigrateMakeCommand` was out of date with Laravel. Threw error on missing `--fullpath` option.


### [1.7.2] - 2019-08-18
#### Fixed
- Fixed issue where users would be getting logged out after viewing pages cached by HTTPCACHE.

#### Changed
- Moved cookie middleware in `Kernel` to after session start just like Laravel.

#### Added
- Added `session_proxy` boolean flag to mark logged in users to pre-boot services like HTTPCACHE.


### [1.7.1] - 2019-08-16
#### Added
- Added `config:cache` control to `refresh` command.
- Added `route:cache` control to `refresh` command.
- The `refresh` command now clears `bootstrap/cache/services.php`.
- The `refresh` command now clears `bootstrap/cache/packages.php`.


### [1.7.0] - 2019-08-06
#### Changed
- Updated `laravel/framework` to `5.8.*`.
- Updated `laravel/scout` to `7.1.*`.
- Updated `intervention/image` to `2.5.*`.
- Updated `laravelcollective/html` to `5.8.*`.
- Updated `teamtnt/laravel-scout-tntsearch-driver` to `7.1.*`.
- Changed `add` to `include` in `\Anomaly\Streams\Platform\View\ViewIncludes` to comply with Laravel 5.8.
- Changed all instances of `\Illuminate\Contracts\Events\Dispatcher` to use `event`.

#### Removed
- Removed `symfony/class-loader` dependency (it's in Laravel).
- Removed `add` method from `\Anomaly\Streams\Platform\View\ViewOverrides` (use `put`).
- Removed `add` method from `\Anomaly\Streams\Platform\View\ViewMobileOverrides` (use `put`).
- Removed unused `\Anomaly\Streams\Platform\Stream\Console\Event\StreamsIsRefreshing`.

#### Added
- Added `streams:index` to `build` command.
